- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Namespace List
- Namespace Members

# FUDaeProfileType Namespace Reference

The types of effect profiles. More...

## Enumerations
enum | Type { CG, HLSL, GLSL, GLES, COMMON, UNKNOWN }
| Enumerates the types of effect profiles. More...
## Functions
FCOLLADA_EXPORT Type | FromString (const char *value)
| Converts the COLLADA profile name string to a profile type.
Type | FromString (const fm::string &value)
| Converts the FCollada texture channel string into a texture channel.
FCOLLADA_EXPORT const char * | ToString (Type type)
| Converts the profile type to its COLLADA profile name string.

## Detailed Description

The types of effect profiles.

## Enumeration Type Documentation

enum FUDaeProfileType::Type

  | Enumerates the types of effect profiles. Enumerator:
  CG | The CG profile.
  HLSL | The HLSL profile for DirectX.
  GLSL | The GLSL profile for OpenGL.
  GLES | The GLES profile for OpenGL ES.
  COMMON | The common profile which encapsulates the standard lighting equations: Lambert, Phong, Blinn.
  UNKNOWN | Not a valid profile type.

## Function Documentation

Type FUDaeProfileType::FromString | ( | const fm::string & | value | ) | `[inline]`

  | Converts the FCollada texture channel string into a texture channel. Parameters:
  | value | The COLLADA interpolation type string.
Returns: The interpolation type.

FCOLLADA_EXPORT Type FUDaeProfileType::FromString | ( | const char * | value | ) |

  | Converts the COLLADA profile name string to a profile type. Examples of COLLADA profile name strings are 'profile_CG' and 'profile_COMMON'. Parameters:
  | value | The profile name string.
Returns: The profile type.

FCOLLADA_EXPORT const char* FUDaeProfileType::ToString | ( | Type | type | ) |

  | Converts the profile type to its COLLADA profile name string. Examples of COLLADA profile name strings are 'profile_CG' and 'profile_COMMON'. Parameters:
  | type | The profile type.
Returns: The name string for the profile type.